Subject: codes for Ising model

From: Frank Ling <[email-masked]>
Date: Wed, 26 Oct 94 18:30:41 CDT

Dear Netters,

I am working on the finite 2 dimensional Ising networks, having just 
calculated the partition function for a 3X3 net by enumerating all 
512 configurations, I realized that there must exist general codes 
that do what I did for the 3X3 network, i.e., enumerating all confi-
gurations of one site binding, two, three site cooperative binding, 
and so on (or one spin up, two spins up, ...).  There are genreally 
speaking 2^N such configurations and for N small workstations are well 
capable of exhausting all possible configurations and thus obtain the 
partition function.  I will appreciate it very much if someone would 
kindly privide me with the code or coding information, and I will 
summerise.

Frank